pion::http::message::content_buffer_t Class Reference

a simple helper class used to manage a fixed-size payload content buffer More...

`#include <message.hpp>`

## Public Member Functions

| ~content_buffer_t ()
| simple destructor
| content_buffer_t ()
| default constructor
| content_buffer_t (const content_buffer_t &buf)
| copy constructor
content_buffer_t & | operator= (const content_buffer_t &buf)
| assignment operator
bool | is_empty () const
| returns true if buffer is empty
std::size_t | size () const
| returns size in bytes
const char * | get () const
| returns const pointer to data
char * | get ()
| returns mutable pointer to data
void | resize (std::size_t len)
| changes the size of the content buffer
void | clear ()
| clears the content buffer

## Detailed Description

a simple helper class used to manage a fixed-size payload content buffer

Definition at line 498 of file message.hpp.

The documentation for this class was generated from the following file:

- include/pion/http/message.hpp